Автор Тема: Как посмотреть из какого репозитория установлена программа?  (Прочитано 3187 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн PbI6A

  • Старожил
  • ****
  • Topic Author
  • Сообщений: 886
  • просто я так выгляжу!
Есть некая стоящая на компе программа, хочу поставить её на другом компе. В репозиториях того компа нет. Как посмотреть из какого репозитория установлена программа?
LINUX means: Linux Is Not a UniX
 


Оффлайн ferum

  • Ветеран
  • *****
  • Сообщений: 3660
  • Buster TDE & KDE
Я бы закомтировал все левые репозитории, потом снимал бы # по одному, пытаясь через synaptic переустановить пакет...а что за прога если не секрет?
Русские дебианщики против цифрового слабоумия !
 

Оффлайн Malaheenee

  • Ветеран
  • *****
  • Сообщений: 2565
  • Учтите, мы можем дать и вредный совет.
aptitude show -vv package (вроде бы показывает)
apt-cache show package (сами не пользовались)
Все мы где-то, когда-то и в чем-то были новичками.
 

Онлайн qupl

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 5005
  • memento mori
  • Jabber: qupl@jabber.ru
aptitude show -vv package (вроде бы показывает)
Нет, только путь показывает относительный, репозиторий не показывает.


Оффлайн Василий

  • Местный житель
  • ***
  • Сообщений: 137
apt-cache policy package?
        Всё, что ни происходит, всегда так, как нужно и только к лучшему.
 

Оффлайн PbI6A

  • Старожил
  • ****
  • Topic Author
  • Сообщений: 886
  • просто я так выгляжу!
aptitude show firefox
Пакет: firefox                                   
Новый: да
Состояние: установлен
Автоматически установлен: нет
Версия: 14.0.1+build1-0mcr110+1
Приоритет: необязательный
Раздел: web
Сопровождающий: Steve Pusser <maintainer@mepiscommunity.org>
Архитектура: amd64
Размер в распакованном виде: 44,8 M
Зависимости: lsb-release, libasound2 (> 1.0.18), libatk1.0-0 (>= 1.29.3), libc6 (>= 2.11), libcairo2 (>= 1.2.4), libdbus-1-3
                        (>= 1.0.2), libdbus-glib-1-2 (>= 0.78), libfontconfig1 (>= 2.8.0), libfreetype6 (>= 2.3.9), libgcc1
                        (>= 1:4.1.1), libglib2.0-0 (>= 2.24.0), libgtk2.0-0 (>= 2.20.0), libpango1.0-0 (>= 1.14.0),
                        libstartup-notification0 (>= 0.10), libstdc++6 (>= 4.2.1), libx11-6, libxext6, libxrender1, libxt6,
                        libcanberra0
Предлагаются: latex-xft-fonts, libthai0, firefox-gnome-support, kmozillahelper (>= 0.6)
Конфликтуют: abrowser (<= 4.0~b11+build3+nobinonly-0ubuntu1), abrowser-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1),
                        firefox-2 (< 3), firefox-2-dom-inspector (< 3), firefox-2-libthai (< 3), firefox-3.0 (<
                        3.6~hg20100117r33523), firefox-3.5 (< 3.6~hg20100117r33523), firefox-3.6 (< 3.6~hg20100117r33523),
                        firefox-3.6-gnome-support (< 3.6~hg20100117r33523), firefox-branding (<=
                        4.0~b11+build3+nobinonly-0ubuntu1), gcu-plugin (<= 0.10.12-2ubuntu1), gecko-mediaplayer (<=
                        0.9.9.2-1ubuntu0.10.04.1), mozilla-gtk-vnc (<= 0.3.10-2ubuntu2.1), mozilla-opensc (<=
                        0.11.12-1ubuntu3.2), mozilla-plugin-pcmanx (<= 0.3.9-2ubuntu2), mozilla-virt-viewer (<=
                        0.0.3-6ubuntu7.xul191.1), mozplugger (<= 1.13.3-1ubuntu1), xine-plugin (<= 1.0.2-1ubuntu2)
Ломают: adobe-flashplugin (<= 11.1.102.63-0lucid1), flashplugin-installer (<= 11.2.202.233ubuntu0.10.04.1)
Заменяют: abrowser, abrowser-branding, firefox-2, firefox-2-dom-inspector, firefox-2-libthai, firefox-3.0, firefox-3.5,
                  firefox-3.6, firefox-3.6-gnome-support, firefox-branding, kubuntu-firefox-installer
Предоставляют: firefox-2, firefox-2-dom-inspector, firefox-2-libthai, firefox-3.0, firefox-3.5, firefox-3.6,
                            gnome-www-browser, iceweasel, www-browser
Описание: Safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface, enhanced security features including protection from
 online identity theft, and integrated search let you get the most out of the web.

Откуда-то я поставил его, а потом пару раз менял список реп и теперь уже не помню :( В логах тоже по-моему этого нет :(

Start-Date: 2012-10-02  16:58:16
Commandline: /usr/sbin/synaptic
Install: libpurple0:amd64 (2.10.6-1+b1, automatic), libpurple-bin:amd64 (2.10.6-1, automatic), libmeanwhile1:amd64 (1.0.2-4, a
utomatic), pidgin-data:amd64 (2.10.6-1, automatic), libfarstream-0.1-0:amd64 (0.1.2-1, automatic), firefox:amd64 (14.0.1+build
1-0mcr110+1), seamonkey:amd64 (2.11-0mcr110+1), pidgin-audacious:amd64 (2.0.0-2), pidgin:amd64 (2.10.6-1+b1), libzephyr4:amd64
 (3.0.2-2, automatic), libmcs1:amd64 (0.7.2-2, automatic)
End-Date: 2012-10-02  16:58:33
LINUX means: Linux Is Not a UniX
 

Оффлайн Василий

  • Местный житель
  • ***
  • Сообщений: 137
Версия: 14.0.1+build1-0mcr110+1
...
Сопровождающий: Steve Pusser <maintainer@mepiscommunity.org>
http://main.mepis-deb.org/
        Всё, что ни происходит, всегда так, как нужно и только к лучшему.
 

Оффлайн PbI6A

  • Старожил
  • ****
  • Topic Author
  • Сообщений: 886
  • просто я так выгляжу!
LINUX means: Linux Is Not a UniX
 

Оффлайн Василий

  • Местный житель
  • ***
  • Сообщений: 137
Осмелюсь предположить, что 14 версия устарела и её заменили на 16
http://main.mepis-deb.org/mepiscr/testrepo/pool/test/f/firefox/firefox_16.0.1+build1-0mcr110+1_amd64.deb

Сообщение объединено: 13 Ноябрь 2012, 20:15:04
если уж очень приглянулась 14-я версия, как вариант, использовать dpkg-repack
« Последнее редактирование: 13 Ноябрь 2012, 20:15:27 от Василий »
        Всё, что ни происходит, всегда так, как нужно и только к лучшему.
 

Оффлайн PbI6A

  • Старожил
  • ****
  • Topic Author
  • Сообщений: 886
  • просто я так выгляжу!
Осмелюсь предположить, что 14 версия устарела и её заменили на 16
http://main.mepis-deb.org/mepiscr/testrepo/pool/test/f/firefox/firefox_16.0.1+build1-0mcr110+1_amd64.deb
Да, буквально вчера?
Вот ещё одну вещь я не понимаю, как из http://main.mepis-deb.org/mepiscr/testrepo/pool/test/f/firefox/ сделать запись в mepis.list?
deb http://main.mepis-deb.org/mepiscr/testrepo/ mepiscr testrepo
или как?
LINUX means: Linux Is Not a UniX
 

Оффлайн Василий

  • Местный житель
  • ***
  • Сообщений: 137
Да, буквально вчера?
по логу, удалили что-то около 14 октября
Наверное как-то так
deb http://main.mepis-deb.org/mepiscr/testrepo/ mepis11cr main non-free
        Всё, что ни происходит, всегда так, как нужно и только к лучшему.
 

Оффлайн PbI6A

  • Старожил
  • ****
  • Topic Author
  • Сообщений: 886
  • просто я так выгляжу!
Короче говоря, вот что получилось:

deb http://main.mepis-deb.org/mepiscr/testrepo/ mepis11cr test

Здесь есть FF 16, TB 14 и SM 2.11. Последний - только английский.
LINUX means: Linux Is Not a UniX
 

Оффлайн Malaheenee

  • Ветеран
  • *****
  • Сообщений: 2565
  • Учтите, мы можем дать и вредный совет.
А собственно по теме так и не выяснили...
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн PbI6A

  • Старожил
  • ****
  • Topic Author
  • Сообщений: 886
  • просто я так выгляжу!
Некоторые намётки прояснились. Попробую ещё - отпишусь!

=== ПРИМЕР ===

Ищем репозиторий, с которого ставился Firefox.
1. просматриваем /var/log/apt/history.log (если не находим, то открываем заархивированные более старые log-файлы и ищем в них)
Находим запись типа:
...
Start-Date: 2012-11-14  11:53:02
Commandline: /usr/sbin/synaptic
Install: firefox-locale-ru:amd64 (16.0.1+build1-0mcr110+1)
Upgrade: firefox:amd64 (14.0.1+build1-0mcr110+1, 16.0.1+build1-0mcr110+1)
End-Date: 2012-11-14  11:53:23
...
Из этой записи берём выделенную жирным строчку. В ней нам нужно название проги firefox, платформа amd64 и установленная последняя версия 16.0.1+build1-0mcr110+1.
2. гуглим firefox amd64 16.0.1+build1-0mcr110+1
Находим что-то типа http://main.mepis-deb.org/mepiscr/testrepo/dists/mepis11cr/test/binary-amd64/Packages
3. переводим в формат, понятный apt:
deb http://main.mepis-deb.org/mepiscr/testrepo/ mepis11cr test

Как-то так...
« Последнее редактирование: 15 Ноябрь 2012, 11:25:00 от PbI6A »
LINUX means: Linux Is Not a UniX
 

Оффлайн Malaheenee

  • Ветеран
  • *****
  • Сообщений: 2565
  • Учтите, мы можем дать и вредный совет.
Все намного проще:
apt-cache showpkg mcВыдаст что-то вроде такого:
Spoiler: ShowHide
Package: mc
Versions:
3:4.8.5-1~exp5 (/var/lib/apt/lists/ftp.us.debian.org_debian_dists_experimental_main_binary-i386_Packages)
 Description Language:
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_binary-i386_Packages
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: cs
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-cs
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: da
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-da
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: de
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-de
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: en
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-en
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: fr
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-fr
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: it
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-it
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: ja
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-ja
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: pl
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-pl
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: ru
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-ru
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: sk
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-sk
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: uk
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-uk
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f

3:4.8.3-10 (/var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_binary-i386_Packages) (/var/lib/apt/lists/ftp.us.debian.org_debian_dists_unstable_main_binary-i386_Packages) (/var/lib/dpkg/status)
 Description Language:
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_binary-i386_Packages
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: cs
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-cs
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: da
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-da
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: de
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-de
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: en
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-en
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: fr
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-fr
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: it
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-it
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: ja
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-ja
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: pl
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-pl
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: ru
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-ru
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: sk
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-sk
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f
 Description Language: uk
                 File: /var/lib/apt/lists/ftp.us.debian.org_debian_dists_testing_main_i18n_Translation-uk
                  MD5: 252a5c5aeeb7425db45357d4ab8aa55f


Reverse Depends:
  mc-dbg,mc 3:4.8.5-1~exp5
  mc-data,mc 3:4.8.1
  mc-data,mc 3:4.8.1
  junior-system,mc
  education-common,mc
  mc-dbg,mc 3:4.8.3-10
  mc-data,mc 3:4.8.1
  mc-data,mc 3:4.8.1
  debian-reference-common,mc
  junior-system,mc
  education-common,mc
  afterstep,mc
Dependencies:
3:4.8.5-1~exp5 - e2fslibs (2 1.42.2) libc6 (2 2.11) libglib2.0-0 (2 2.24.0) libgpm2 (2 1.20.4) libslang2 (2 2.2.4) libssh2-1 (2 1.2.5) mc-data (5 3:4.8.5-1~exp5) arj (0 (null)) bzip2 (0 (null)) catdvi (16 (null)) texlive-binaries (0 (null)) dbview (0 (null)) djvulibre-bin (0 (null)) file (0 (null)) gv (0 (null)) imagemagick (0 (null)) links (16 (null)) w3m (16 (null)) lynx (0 (null)) odt2txt (0 (null)) python (0 (null)) python-boto (0 (null)) python-tz (0 (null)) xpdf (16 (null)) pdf-viewer (0 (null)) zip (0 (null)) mime-support (0 (null)) perl (0 (null)) unzip (0 (null))
3:4.8.3-10 - e2fslibs (2 1.42.2) libc6 (2 2.11) libcomerr2 (2 1.01) libglib2.0-0 (2 2.24.0) libgpm2 (2 1.20.4) libslang2 (2 2.2.4) mc-data (5 3:4.8.3-10) zip (0 (null)) bzip2 (0 (null)) links (16 (null)) w3m (16 (null)) lynx (0 (null)) arj (0 (null)) file (0 (null)) xpdf (16 (null)) pdf-viewer (0 (null)) dbview (0 (null)) odt2txt (0 (null)) gv (0 (null)) catdvi (0 (null)) djvulibre-bin (0 (null)) imagemagick (0 (null)) python (0 (null)) python-boto (0 (null)) python-tz (0 (null)) mime-support (0 (null)) unzip (0 (null)) perl (0 (null))
Provides:
3:4.8.5-1~exp5 -
3:4.8.3-10 -
Reverse Provides:

Собственно, строка /var/lib/apt/lists/ftp.us.debian.org_debian_dists_experimental_main_binary-i386_Packages и будет адресом репозитория.
Все мы где-то, когда-то и в чем-то были новичками.
 

Теги:
 

[РЕШЕНО] Программа Источники приложений не запускается

Автор polzovatel

Ответов: 4
Просмотров: 2750
Последний ответ 20 Февраль 2011, 15:34:00
от polzovatel
[Решено] Не запускается программа Disk Manager

Автор user-k

Ответов: 7
Просмотров: 2355
Последний ответ 17 Январь 2013, 09:44:18
от user-k
Как из локального репозитория сделать установочную флешку?

Автор aqwest

Ответов: 3
Просмотров: 1611
Последний ответ 24 Июнь 2014, 21:37:37
от vladimir_ar
Программа resolvconf в testing

Автор sidbar

Ответов: 0
Просмотров: 857
Последний ответ 11 Май 2016, 11:44:40
от sidbar
Проблема с обновлением списка пакетов репозитория Debian

Автор andman

Ответов: 4
Просмотров: 4192
Последний ответ 29 Май 2018, 18:45:15
от Листик